Piazzale Italia

MIGRAZIONE MOODLE - FILE MANCANTI

 
Immagine Antonio Zaccagnino
MIGRAZIONE MOODLE - FILE MANCANTI
 

Buonasera...su moodle 2.8 mi da l'errore "Spiacente, ma questo tipo di risorsa legacy (file) non è stato ancora migrata" quando devo visualizzare risorse di tipo file..

 
Media dei voti:  -
Immagine Andrea Bicciolo
Re: MIGRAZIONE MOODLE - FILE MANCANTI
Core developersParticularly helpful MoodlersPlugin developersTranslators

Per favore prova a descrivere la situazione più ampiamente in modo da facilitare altri che possano avere incontrato il tuo problema. Ad esempio, stavi effettuando una migrazione ? Se si, quali sono i passi che hai effettuato e l'ambiente operativo?

Un link con su un problema simile al tuo: https://moodle.org/mod/forum/discuss.php?d=169123.

Immagine Antonio Zaccagnino
Re: MIGRAZIONE MOODLE - FILE MANCANTI
 

Ho effettuato la migrazione da moodle 1.9 fino ad arrivare a moodle 2.8..tutto perfetto..gli utenti sono stati migrati con i report, i test e tutto..ma moodle non riesce a trovare le risorse SCORM e FILE..per le risorse SCORM parte il player ma non visualizza nulla mentre per le risorse FILE da il problema sopra descritto

Ho effettuato la migrazione da moodle 1.9 > 2.3 > 2.5 > 2.8



Immagine Matteo Scaramuccia
Re: MIGRAZIONE MOODLE - FILE MANCANTI
Core developersParticularly helpful MoodlersPlugin developers

Ciao Antonio,
è necessario verificare che tipo di risorse non siano state migrate perché tipicamente succede quando:

  • la risorsa originale non si trova più sul disco della 1.9 (cancellazioni involontarie direttamente dalla DATAROOT, quando il file system era "parlante" delle aree relative ai corsi)
  • la risorsa originale è referenziata con un path non (ancora) supportato. Esempio: MDL-28221
  • il server è andato in timeout durante la procedura di migrazione. Esempio: MDL-26580, MDL-27251
  • un bug in Moodle. Esempio: MDL-34825

L'ultimo punto è quello ancora aperto, in cerca di casi non ancora supportati o bug veri e propri.

Una domanda: tu scrivi di essere passato dalla 2.3, è un errore o è quanto veramente hai fatto? Perché il percorso supportato e obbligato per la migrazione è: 1.9 → 1.9 latest2.2 → 2.9 (tutte in versione latest!) e questo spiegherebbe il tuo problema di mancata migrazione delle risorse legacy.

Se il tuo 3 fosse "solo" un errore di trascrizione, hai due possibilità:

  1. rinunciare alla migrazione, facendo una installazione ex-novo e importando quanto necessario dal vecchio al nuovo sistema, manualmente
  2. incominciare a descrivere quale sia il pattern delle risorse che non sono state migrate.

Per la seconda possibilità potresti:

  • allegare lo zip di un corso SCORM affetto dal problema, avendo però prima verificato che se installi una 1.9 latest senza plugin esterni e con il tema di default, pubblichi il corso e migri alla 2.9 passando per la 2.2 latest ottieni il problema
  • analizzare meglio lo stato del tuo database e provare a trovare da solo la soluzione e quindi a proporla dopo aver fatto la migliore analisi che ti sia possibile.

Purtroppo potrebbe essere molto time consuming (e probabilmente, a volte, snervante).
Esistono ancora due possibilità:

  • ripubblicare i corsi nella nuova piattaforma con il rischio (non certo ma da verificare) di perdere tutti i dati di tracciamento pregressi
  • affidarti ad un Moodle Partner, conrattualizzando almeno l'analisi per capire quanto poi sia complessa la soluzione del tuo problema

HTH,
Matteo